### Virtual Method

# Foundry Debugger initialize

#### Declaration [src]

    DexFuture*
    initialize (
      FoundryDebugger* self
    )

#### Description [src]

This must be called before using the debugger instance and may only be called once.

Subclasses are expected to perform capability negotiation as part of this request.

#### Return value

Type: `DexFuture`

`DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.